//
//  SpeakPracticeWordsListViewCtr.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/25.
//

import UIKit

class SpeakPracticeWordsListViewCtr: SpeakEleBaseViewCtr {

    @IBOutlet weak var SpeakWordTotalL: UILabel!
    @IBOutlet weak var SpeakWordTableView: UITableView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = .init(hex: 0xF6F7F9)
    }
    
    override func setup() {
        self.SpeakWordTableView.delegate = self
        self.SpeakWordTableView.dataSource = self
        self.SpeakWordTableView.sectionHeaderTopPadding = 0.1
        self.SpeakWordTableView.sectionHeaderHeight = 12
        self.SpeakWordTableView.sectionFooterHeight = 0.1
        self.SpeakWordTableView.showsVerticalScrollIndicator = false
        self.SpeakWordTableView.showsHorizontalScrollIndicator = false
        self.SpeakWordTableView.register(UINib(nibName: SpeakPracticeWordsListCell.id, bundle: nil), forCellReuseIdentifier: SpeakPracticeWordsListCell.id)
    }
    
    var datasource:[String] = [ "" , "" ]
}

extension SpeakPracticeWordsListViewCtr : UITableViewDelegate,UITableViewDataSource {
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: SpeakPracticeWordsListCell.id, for: indexPath) as! SpeakPracticeWordsListCell
        return cell
    }
    
    func numberOfSections(in tableView: UITableView) -> Int {
        return datasource.count
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, viewForFooterInSection section: Int) -> UIView? {
        return UIView()
    }
    
    func tableView(_ tableView: UITableView, viewForHeaderInSection section: Int) -> UIView? {
        return UIView()
    }
}
